package com.sunxung.factoring.entity.financing.review;

import com.sunxung.factoring.entity.BaseEntity;
import org.hibernate.validator.constraints.Email;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Description : 主合同债务人历史信息
 * @Author : L.Jia
 * @Date: 2023-12-13 10:07
 */
public class ReviewMasterContractDebtorHis extends BaseEntity {

    private Long reviewMasterContractHisId;
    @Length(max = 50, message = "债务人联系人不能超过50个字符")
    private String contact;
    @Length(max = 50, message = "债务人联系电话不能超过50个字符")
    private String contactNumber;
    @Length(max = 100, message = "债务人公司名称不能超过100个字符")
    private String companyName;
    @Length(max = 500, message = "债务人公司注册地址不能超过500个字符")
    private String address;
    @Length(max = 100, message = "债务人公司法人不能超过100个字符")
    private String legalPerson;
    @Email(message = "债务人邮箱格式不正确")
    @NotNull(message = "债务人邮箱不为空")
    private String email;

    public Long getReviewMasterContractHisId() {
        return reviewMasterContractHisId;
    }

    public void setReviewMasterContractHisId(Long reviewMasterContractHisId) {
        this.reviewMasterContractHisId = reviewMasterContractHisId;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
}
